import 'package:flutter/material.dart';
import 'package:syncrow_web/pages/analytics/modules/air_quality/widgets/aqi_location.dart';
import 'package:syncrow_web/pages/analytics/modules/air_quality/widgets/aqi_location_info_cell.dart';
import 'package:syncrow_web/utils/constants/assets.dart';
import 'package:syncrow_web/utils/style.dart';

class AqiLocationInfo extends StatelessWidget {
  const AqiLocationInfo({super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: secondarySection.copyWith(boxShadow: const []),
      padding: const EdgeInsetsDirectional.all(20),
      child: const Column(
        spacing: 8,
        children: [
          AqiLocation(),
          Expanded(
            child: Row(
              spacing: 8,
              children: [
                AqiLocationInfoCell(
                  label: 'Temperature',
                  value: ' 25°',
                  svgPath: Assets.aqiTemperature,
                ),
                AqiLocationInfoCell(
                  label: 'Humidity',
                  value: '25%',
                  svgPath: Assets.aqiHumidity,
                ),
                AqiLocationInfoCell(
                  label: 'Air Quality',
                  value: ' 120',
                  svgPath: Assets.aqiAirQuality,
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
